class AuthUser {
  final String id;

  final String displayName;

  final String email;

  final bool isLoggedIn;

  AuthUser(this.id,
      {required this.displayName,
      required this.email,
      this.isLoggedIn = false});

  AuthUser.notLoggedIn() : this("", displayName: "", email: "", isLoggedIn: false);

  @override
  String toString() {
    return 'AuthUser{id: $id, displayName: $displayName, email: $email, isLoggedIn: $isLoggedIn}';
  }
}
